### A free/open-source library for quantitative finance

Functions
ql/math/functional.hpp File Reference

functionals and combinators not included in the STL More...

`#include <ql/types.hpp>`
`#include <cmath>`
`#include <functional>`
Include dependency graph for functional.hpp:

## Functions

template<class F , class R >
clipped_function< F, R > | clip (const F &f, const R &r)
template<class F , class G >
composed_function< F, G > | compose (const F &f, const G &g)
template<class F , class G , class H >
binary_compose3_function< F, G, H > | compose3 (const F &f, const G &g, const H &h)

## Detailed Description

functionals and combinators not included in the STL